GlueGen: com.jogamp.common.util.JogampVersion Class Reference

GlueGen v2.6.0-rc-20250721 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
com.jogamp.common.util.JogampVersion Class Reference
Inheritance diagram for com.jogamp.common.util.JogampVersion:
Collaboration diagram for com.jogamp.common.util.JogampVersion:

## Public Member Functions

final int | hashCode ()
final boolean | equals (final Object o)
final Manifest | getManifest ()
final String | getPackageName ()
final String | getAttribute (final Attributes.Name attributeName)
final String | getAttribute (final String attributeName)
final Attributes.Name | getAttributeName (final String attributeName)
final Set<?> | getAttributeNames ()
final String | getExtensionName ()
final String | getImplementationBuild ()
| Returns the implementation build number, e.g. More...
final String | getImplementationBranch ()
| Returns the SCM branch name. More...
final String | getImplementationCommit ()
| Returns the SCM version of the last commit, e.g. More...
final String | getImplementationSHASources ()
| Returns the SHA of all concatenated source files of the whole project. More...
final String | getImplementationSHAClasses ()
| Returns the SHA of all concatenated class files of all build classes. More...
final String | getImplementationSHAClassesThis ()
| Returns the SHA of all concatenated class files of the local (jar) package subset. More...
final String | getImplementationSHANatives ()
| Returns the SHA of all concatenated native library files of all build libs. More...
final String | getImplementationSHANativesThis ()
| Returns the SHA of all concatenated native library files of the local (jar) package subset. More...
final String | getImplementationTitle ()
final String | getImplementationVendor ()
final String | getImplementationVendorID ()
final String | getImplementationURL ()
final String | getImplementationVersion ()
| Returns the `IMPLEMENTATION_VERSION`. More...
final String | getAndroidPackageVersionName ()
final String | getSpecificationTitle ()
final String | getSpecificationVendor ()
final String | getSpecificationVersion ()
final StringBuilder | getFullManifestInfo (final StringBuilder sb)
StringBuilder | getManifestInfo (StringBuilder sb)
StringBuilder | toString (StringBuilder sb)
String | toString ()

## Static Public Attributes

static final Attributes.Name | IMPLEMENTATION_BUILD = new Attributes.Name("Implementation-Build")
| See `getImplementationBuild()`. More...
static final Attributes.Name | IMPLEMENTATION_BRANCH = new Attributes.Name("Implementation-Branch")
| See `getImplementationBranch()`. More...
static final Attributes.Name | IMPLEMENTATION_COMMIT = new Attributes.Name("Implementation-Commit")
| See `getImplementationCommit()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_SOURCES = new Attributes.Name("Implementation-SHA-Sources")
| See `getImplementationSHASources()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_CLASSES = new Attributes.Name("Implementation-SHA-Classes")
| See `getImplementationSHAClasses()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_CLASSES_THIS = new Attributes.Name("Implementation-SHA-Classes-this")
| See `getImplementationSHAClassesThis()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_NATIVES = new Attributes.Name("Implementation-SHA-Natives")
| See `getImplementationSHANatives()`. More...
static final Attributes.Name | IMPLEMENTATION_SHA_NATIVES_THIS = new Attributes.Name("Implementation-SHA-Natives-this")
| See `getImplementationSHANativesThis()`. More...

## Protected Member Functions

| JogampVersion (final String packageName, final Manifest mf)

## Detailed Description

Definition at line 40 of file JogampVersion.java.

## Constructor & Destructor Documentation

## ◆ JogampVersion()

com.jogamp.common.util.JogampVersion.JogampVersion | ( | final String | packageName,
|  | final Manifest | mf
| ) |  |

protected

Definition at line 70 of file JogampVersion.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ equals()

final boolean com.jogamp.common.util.JogampVersion.equals | ( | final Object | o | ) |

Definition at line 100 of file JogampVersion.java.

Here is the call graph for this function:

## ◆ getAndroidPackageVersionName()

final String com.jogamp.common.util.JogampVersion.getAndroidPackageVersionName | ( |  | ) |

Definition at line 230 of file JogampVersion.java.

Here is the caller graph for this function:

## ◆ getAttribute() [1/2]

final String com.jogamp.common.util.JogampVersion.getAttribute | ( | final Attributes.Name | attributeName | ) |

Definition at line 115 of file JogampVersion.java.

Here is the caller graph for this function:

## ◆ getAttribute() [2/2]

final String com.jogamp.common.util.JogampVersion.getAttribute | ( | final String | attributeName | ) |

Definition at line 119 of file JogampVersion.java.

Here is the call graph for this function:

## ◆ getAttributeName()

final Attributes.Name com.jogamp.common.util.JogampVersion.getAttributeName | ( | final String | attributeName | ) |

Definition at line 123 of file JogampVersion.java.

Here is the caller graph for this function:

## ◆ getAttributeNames()

final Set<?> com.jogamp.common.util.JogampVersion.getAttributeNames | ( |  | ) |

Returns
  set of type `Attributes.Name`, disguised as anonymous

Definition at line 136 of file JogampVersion.java.

## ◆ getExtensionName()

final String com.jogamp.common.util.JogampVersion.getExtensionName | ( |  | ) |

Definition at line 140 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getFullManifestInfo()

final StringBuilder com.jogamp.common.util.JogampVersion.getFullManifestInfo | ( | final StringBuilder | sb | ) |

Definition at line 246 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationBranch()

final String com.jogamp.common.util.JogampVersion.getImplementationBranch | ( |  | ) |

Returns the SCM branch name.

Definition at line 157 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationBuild()

final String com.jogamp.common.util.JogampVersion.getImplementationBuild | ( |  | ) |

Returns the implementation build number, e.g.

`2.0-b456-20130328`.

Definition at line 150 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationCommit()

final String com.jogamp.common.util.JogampVersion.getImplementationCommit | ( |  | ) |

Returns the SCM version of the last commit, e.g.

git's sha1

Definition at line 164 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationSHAClasses()

final String com.jogamp.common.util.JogampVersion.getImplementationSHAClasses | ( |  | ) |

Returns the SHA of all concatenated class files of all build classes.

Definition at line 178 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationSHAClassesThis()

final String com.jogamp.common.util.JogampVersion.getImplementationSHAClassesThis | ( |  | ) |

Returns the SHA of all concatenated class files of the local (jar) package subset.

Definition at line 185 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationSHANatives()

final String com.jogamp.common.util.JogampVersion.getImplementationSHANatives | ( |  | ) |

Returns the SHA of all concatenated native library files of all build libs.

Definition at line 192 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationSHANativesThis()

final String com.jogamp.common.util.JogampVersion.getImplementationSHANativesThis | ( |  | ) |

Returns the SHA of all concatenated native library files of the local (jar) package subset.

Definition at line 199 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationSHASources()

final String com.jogamp.common.util.JogampVersion.getImplementationSHASources | ( |  | ) |

Returns the SHA of all concatenated source files of the whole project.

Definition at line 171 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationTitle()

final String com.jogamp.common.util.JogampVersion.getImplementationTitle | ( |  | ) |

Definition at line 203 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationURL()

final String com.jogamp.common.util.JogampVersion.getImplementationURL | ( |  | ) |

Definition at line 215 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationVendor()

final String com.jogamp.common.util.JogampVersion.getImplementationVendor | ( |  | ) |

Definition at line 207 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationVendorID()

final String com.jogamp.common.util.JogampVersion.getImplementationVendorID | ( |  | ) |

Definition at line 211 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getImplementationVersion()

final String com.jogamp.common.util.JogampVersion.getImplementationVersion | ( |  | ) |

Returns the `IMPLEMENTATION_VERSION`.

E.g. `2.0.2-rc-20130328` for snapshots prior to `2.0.2` release and `2.0.2` for the upcoming release.

Definition at line 226 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getManifest()

final Manifest com.jogamp.common.util.JogampVersion.getManifest | ( |  | ) |

Definition at line 107 of file JogampVersion.java.

Here is the caller graph for this function:

## ◆ getManifestInfo()

StringBuilder com.jogamp.common.util.JogampVersion.getManifestInfo | ( | StringBuilder | sb | ) |

Definition at line 250 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getPackageName()

final String com.jogamp.common.util.JogampVersion.getPackageName | ( |  | ) |

Definition at line 111 of file JogampVersion.java.

Here is the caller graph for this function:

## ◆ getSpecificationTitle()

final String com.jogamp.common.util.JogampVersion.getSpecificationTitle | ( |  | ) |

Definition at line 234 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getSpecificationVendor()

final String com.jogamp.common.util.JogampVersion.getSpecificationVendor | ( |  | ) |

Definition at line 238 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ getSpecificationVersion()

final String com.jogamp.common.util.JogampVersion.getSpecificationVersion | ( |  | ) |

Definition at line 242 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ hashCode()

final int com.jogamp.common.util.JogampVersion.hashCode | ( |  | ) |

Definition at line 95 of file JogampVersion.java.

## ◆ toString() [1/2]

String com.jogamp.common.util.JogampVersion.toString | ( |  | ) |

Definition at line 292 of file JogampVersion.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ toString() [2/2]

StringBuilder com.jogamp.common.util.JogampVersion.toString | ( | StringBuilder | sb | ) |

Definition at line 279 of file JogampVersion.java.

Here is the call graph for this function:

## Member Data Documentation

## ◆ IMPLEMENTATION_BRANCH

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_BRANCH = new Attributes.Name("Implementation-Branch")

static

See `getImplementationBranch()`.

Definition at line 45 of file JogampVersion.java.

## ◆ IMPLEMENTATION_BUILD

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_BUILD = new Attributes.Name("Implementation-Build")

static

See `getImplementationBuild()`.

Definition at line 43 of file JogampVersion.java.

## ◆ IMPLEMENTATION_COMMIT

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_COMMIT = new Attributes.Name("Implementation-Commit")

static

See `getImplementationCommit()`.

Definition at line 47 of file JogampVersion.java.

## ◆ IMPLEMENTATION_SHA_CLASSES

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_SHA_CLASSES = new Attributes.Name("Implementation-SHA-Classes")

static

See `getImplementationSHAClasses()`.

Definition at line 51 of file JogampVersion.java.

## ◆ IMPLEMENTATION_SHA_CLASSES_THIS

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_SHA_CLASSES_THIS = new Attributes.Name("Implementation-SHA-Classes-this")

static

See `getImplementationSHAClassesThis()`.

Definition at line 53 of file JogampVersion.java.

## ◆ IMPLEMENTATION_SHA_NATIVES

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_SHA_NATIVES = new Attributes.Name("Implementation-SHA-Natives")

static

See `getImplementationSHANatives()`.

Definition at line 55 of file JogampVersion.java.

## ◆ IMPLEMENTATION_SHA_NATIVES_THIS

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_SHA_NATIVES_THIS = new Attributes.Name("Implementation-SHA-Natives-this")

static

See `getImplementationSHANativesThis()`.

Definition at line 57 of file JogampVersion.java.

## ◆ IMPLEMENTATION_SHA_SOURCES

final Attributes.Name com.jogamp.common.util.JogampVersion.IMPLEMENTATION_SHA_SOURCES = new Attributes.Name("Implementation-SHA-Sources")

static

See `getImplementationSHASources()`.

Definition at line 49 of file JogampVersion.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/common/util/JogampVersion.java